local f = CreateFrame("Frame", nil, UIParent)
	f:RegisterEvent("PLAYER_ENTERING_WORLD")
	f:SetScript("OnEvent", function(self, event)
			CompactRaidFrameManager:UnregisterAllEvents()
			CompactRaidFrameManager:Hide()
			CompactRaidFrameContainer:UnregisterAllEvents()
			CompactRaidFrameContainer:Hide()
end)

SLASH_RFBG1 = "/rfbg"
SLASH_RFBG2 = "/raidframebegone"

function SlashCmdList.RFBG(command)
	if InCombatLockdown() == 1 then 
	print("Cannot be done in combat")
		elseif command == "show" then
			CompactRaidFrameContainer:RegisterEvent("RAID_ROSTER_UPDATE")
			CompactRaidFrameContainer:RegisterEvent("UNIT_PET")
			CompactRaidFrameContainer:Show()
			CompactRaidFrameManager:Show()
		elseif command == "hide" then
			CompactRaidFrameManager:UnregisterAllEvents()
			CompactRaidFrameManager:Hide()
			CompactRaidFrameContainer:UnregisterAllEvents()
			CompactRaidFrameContainer:Hide()
		else
			print("To Show Blizzard Raid Frames type: '/rfbg show'")
			print("To Hide Blizzard Raid Frames type: '/rfbg hide'")
		end
end